package com.jscape.inet.sftp;

import com.jscape.util.SuppressObfuscation;

/**
 * @author Alex Usun
 */
@SuppressObfuscation
public class SftpUnknownHostException
        extends SftpException {

    public SftpUnknownHostException(String message) {
        super(message);
    }

    public SftpUnknownHostException(String message, Throwable cause) {
        super(message, cause);
    }

    public SftpUnknownHostException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }
}
